def char_count(text):
    """ counts the number of occurrences of ascii letters in a text. 
    Returns a list of pairs, where first elements in pairs
    are the letters, and second elements being the counts """
    
    d = {}  # initializing an empty dictionary
    for ch in text:
        ch = str.lower(ch) # convert letter lower case       
        if ch < "a" or ch > "z":  # not a letter
            continue
        else:    # incrementing letter count by 1
            if ch in d: 
                d[ch]=d[ch]+1
            else:
                d[ch]=1

    lst=list(d.items())  # turning dictionary into list
    return sorted(lst, key=lambda pair: pair[1], reverse=True) # sort high to low by counts
#    return sorted(lst, key=lambda pair: -pair[1]) # sort high to low by counts


def percent(frac):
    """ represents fraction as percentage, w/ 2 digit accuracy """
    return int(frac*10000)/100

def stats(text):
    """ letter frequencies (as percentage of total letters) """
    srt=char_count(text)
    total=sum(elem[1] for elem in srt)
    return [(elem[0],percent(elem[1]/total)) for elem in srt] 

